<template>
	<view class="box">

	</view>
</template>

<script>
	export default {
		data() {
			return {
				id:''
			}
		},
		onLoad(options) {
			this.id=options.id;
		},
		created() {
			this.$common.showLoading('正在加载...')
		},
		mounted() {
			this.getRedirectUri();
		},
		beforeDestroy() {
			this.$common.hidingLoading()
		},
		methods: {
			getRedirectUri() {
				this.$api.getRedirectUrl({path:'/pages/index/index',state:this.id}).then(resp => {
					window.location.href = resp.data;
				})
			}
		}
	}
</script>

<style lang="scss">
	page {
		background-color: #fff;
	}

	.box {
		display: flex;
		flex: 1;
		align-items: center;
		justify-content: center;
		flex-direction: column;
		padding: 100rpx 0;

		.text {
			color: #191919;
			font-size: 36rpx;
			font-weight: bold;
			margin-top: 40rpx;
		}

		.count-down-box {
			display: flex;
			flex: 1;
			align-items: center;
			justify-content: center;
			margin-top: 30rpx;

			text {
				margin-left: 20rpx;
			}
		}
	}
</style>
